Bug 39948

Summary: [DRT/Chromium] Checking out lighttpd
Product: WebKit Reporter: Kent Tamura <tkent>
Component: Tools / TestsAssignee: Nobody <webkit-unassigned>
Status: RESOLVED FIXED    
Severity: Normal CC: abarth, ap, dglazkov, eric, ojan, tony, tonyg, webkit.review.bot
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Other   
OS: Windows Vista   
Bug Depends on: 39974    
Bug Blocks: 35902, 38661    
Attachments:
Description Flags
Patch
none
Patch 2 (Fixed libvpx and default_plugin) none

Description Kent Tamura 2010-05-31 04:02:46 PDT
[DRT/Chromium] Checking out lighttpd
Comment 1 Kent Tamura 2010-05-31 04:05:40 PDT
Created attachment 57450 [details]
Patch
Comment 2 Dimitri Glazkov (Google) 2010-05-31 08:25:51 PDT
Comment on attachment 57450 [details]
Patch

ok.
Comment 3 Kent Tamura 2010-05-31 17:44:48 PDT
Comment on attachment 57450 [details]
Patch

Clearing flags on attachment: 57450

Committed r60456: <http://trac.webkit.org/changeset/60456>
Comment 4 Kent Tamura 2010-05-31 17:44:56 PDT
All reviewed patches have been landed.  Closing bug.
Comment 5 WebKit Review Bot 2010-05-31 18:13:28 PDT
http://trac.webkit.org/changeset/60456 might have broken Chromium Linux Release
Comment 6 Kent Tamura 2010-05-31 18:26:11 PDT
(In reply to comment #5)
> http://trac.webkit.org/changeset/60456 might have broken Chromium Linux Release


A part of Linux errors:

  CC(target) out/Release/obj.target/ffmpegsumo/third_party/ffmpeg/source/patched-ffmpeg-mt/libavcodec/libvpxdec.o
In file included from third_party/ffmpeg/source/patched-ffmpeg-mt/libavutil/common.h:89,
                 from third_party/ffmpeg/source/patched-ffmpeg-mt/libavutil/avutil.h:71,
                 from third_party/ffmpeg/source/patched-ffmpeg-mt/libavcodec/avcodec.h:30,
                 from third_party/ffmpeg/source/patched-ffmpeg-mt/libavcodec/libvpxdec.c:56:
third_party/ffmpeg/source/config/Chromium/linux/x64/config.h:882:1: warning: "CONFIG_H264DSP" redefined
third_party/ffmpeg/source/config/Chromium/linux/x64/config.h:173:1: warning: this is the location of the previous definition
third_party/ffmpeg/source/patched-ffmpeg-mt/libavcodec/libvpxdec.c:62:25: warning: vpx_decoder.h: No such file or directory
third_party/ffmpeg/source/patched-ffmpeg-mt/libavcodec/libvpxdec.c:63:19: warning: vp8dx.h: No such file or directory
third_party/ffmpeg/source/patched-ffmpeg-mt/libavcodec/libvpxdec.c:68: error: expected specifier-qualifier-list before ‘vpx_codec_ctx_t’
third_party/ffmpeg/source/patched-ffmpeg-mt/libavcodec/libvpxdec.c: In function ‘vp8_init’:
third_party/ffmpeg/source/patched-ffmpeg-mt/libavcodec/libvpxdec.c:74: error: ‘vpx_codec_iface_t’ undeclared (first use in this function)
third_party/ffmpeg/source/patched-ffmpeg-mt/libavcodec/libvpxdec.c:74: error: (Each undeclared identifier is reported only once


A part of Mac errors:


Ld /Users/cltbld/Desktop/BuildSlaveData/WebKit-BuildSlave/chromium-mac-release/build/WebKit/chromium/./xcodebuild/Release/DumpRenderTree.app/Contents/MacOS/DumpRenderTree normal i386
    cd /Users/cltbld/Desktop/BuildSlaveData/WebKit-BuildSlave/chromium-mac-release/build/WebKit/chromium
    setenv MACOSX_DEPLOYMENT_TARGET 10.5
    /Developer/usr/bin/g++-4.2 -arch i386 -isysroot /Developer/SDKs/MacOSX10.5.sdk -L/Users/cltbld/Desktop/BuildSlaveData/WebKit-BuildSlave/chromium-mac-release/build/WebKit/chromium/xcodebuild/Release -F/Users/cltbld/Desktop/BuildSlaveData/WebKit-BuildSlave/chromium-mac-release/build/WebKit/chromium/xcodebuild/Release -F/Developer/SDKs/MacOSX10.5.sdk/System/Library/Frameworks/ApplicationServices.framework/Frameworks -filelist /Users/cltbld/Desktop/BuildSlaveData/WebKit-BuildSlave/chromium-mac-release/build/WebKit/chromium/./xcodebuild/WebKit.build/Release/DumpRenderTree.build/Objects-normal/i386/DumpRenderTree.LinkFileList -mmacosx-version-min=10.5 -Wl,-dead_strip -Wl,-search_paths_first -Wl,-ObjC -lwebkit /Users/cltbld/Desktop/BuildSlaveData/WebKit-BuildSlave/chromium-mac-release/build/WebKit/chromium/xcodebuild/Release/libicuuc.a /Users/cltbld/Desktop/BuildSlaveData/WebKit-BuildSlave/chromium-mac-release/build/WebKit/chromium/xcodebuild/Release/libwebkit_support.a /Users/cltbld/Desktop/BuildSlaveData/WebKit-BuildSlave/chromium-mac-release/build/WebKit/chromium/xcodebuild/Release/libwebcore.a /Users/cltbld/Desktop/BuildSlaveData/WebKit-BuildSlave/chromium-mac-release/build/WebKit/chromium/xcodebuild/Release/libwebcore_bindings.a /Users/cltbld/Desktop/BuildSlaveData/WebKit-BuildSlave/chromium-mac-release/build/WebKit/chromium/xcodebuild/Release/libpcre.a /Users/cltbld/Desktop/BuildSlaveData/WebKit-BuildSlave/chromium-mac-release/build/WebKit/chromium/xcodebuild/Release/libwtf.a /Users/cltbld/Desktop/BuildSlaveData/WebKit-BuildSlave/chromium-mac-release/build/WebKit/chromium/xcodebuild/Release/libicui18n.a /Users/cltbld/Desktop/BuildSlaveData/WebKit-BuildSlave/chromium-mac-release/build/WebKit/chromium/xcodebuild/Release/libicudata.a /Users/cltbld/Desktop/BuildSlaveData/WebKit-BuildSlave/chromium-mac-release/build/WebKit/chromium/xcodebuild/Release/libgoogleurl.a /Users/cltbld/Desktop/BuildSlaveData/WebKit-BuildSlave/chromium-mac-release/build/WebKit/chromium/xcodebuild/Release/libbase.a /Users/cltbld/Desktop/BuildSlaveData/WebKit-BuildSlave/chromium-mac-release/build/WebKit/chromium/xcodebuild/Release/libmodp_b64.a /Users/cltbld/Desktop/BuildSlaveData/WebKit-BuildSlave/chromium-mac-release/build/WebKit/chromium/xcodebuild/Release/libdynamic_annotations.a /Users/cltbld/Desktop/BuildSlaveData/WebKit-BuildSlave/chromium-mac-release/build/WebKit/chromium/xcodebuild/Release/libevent.a /Users/cltbld/Desktop/BuildSlaveData/WebKit-BuildSlave/chromium-mac-release/build/WebKit/chromium/xcodebuild/Release/libskia.a /Users/cltbld/Desktop/BuildSlaveData/WebKit-BuildSlave/chromium-mac-release/build/WebKit/chromium/xcodebuild/Release/libskia_opts.a /Users/cltbld/Desktop/BuildSlaveData/WebKit-BuildSlave/chromium-mac-release/build/WebKit/chromium/xcodebuild/Release/libjpeg.a /Users/cltbld/Desktop/BuildSlaveData/WebKit-BuildSlave/chromium-mac-release/build/WebKit/chromium/xcodebuild/Release/libpng.a /Users/cltbld/Desktop/BuildSlaveData/WebKit-BuildSlave/chromium-mac-release/build/WebKit/chromium/xcodebuild/Release/libchrome_zlib.a /Users/cltbld/Desktop/BuildSlaveData/WebKit-BuildSlave/chromium-mac-release/build/WebKit/chromium/xcodebuild/Release/libxml2.a /Users/cltbld/Desktop/BuildSlaveData/WebKit-BuildSlave/chromium-mac-release/build/WebKit/chromium/xcodebuild/Release/libxslt.a /Users/cltbld/Desktop/BuildSlaveData/WebKit-BuildSlave/chromium-mac-release/build/WebKit/chromium/xcodebuild/Release/libsqlite3.a /Users/cltbld/Desktop/BuildSlaveData/WebKit-BuildSlave/chromium-mac-release/build/WebKit/chromium/xcodebuild/Release/libv8_nosnapshot.a /Users/cltbld/Desktop/BuildSlaveData/WebKit-BuildSlave/chromium-mac-release/build/WebKit/chromium/xcodebuild/Release/libv8_base.a /Users/cltbld/Desktop/BuildSlaveData/WebKit-BuildSlave/chromium-mac-release/build/WebKit/chromium/xcodebuild/Release/libots.a /Users/cltbld/Desktop/BuildSlaveData/WebKit-BuildSlave/chromium-mac-release/build/WebKit/chromium/xcodebuild/Release/libwebkit_system_interface.a /Users/cltbld/Desktop/BuildSlaveData/WebKit-BuildSlave/chromium-mac-release/build/WebKit/chromium/xcodebuild/Release/libmedia.a /Users/cltbld/Desktop/BuildSlaveData/WebKit-BuildSlave/chromium-mac-release/build/WebKit/chromium/xcodebuild/Release/libomx_wrapper.a /Users/cltbld/Desktop/BuildSlaveData/WebKit-BuildSlave/chromium-mac-release/build/WebKit/chromium/xcodebuild/Release/libil.a /Users/cltbld/Desktop/BuildSlaveData/WebKit-BuildSlave/chromium-mac-release/build/WebKit/chromium/xcodebuild/Release/libffmpeg.a /Users/cltbld/Desktop/BuildSlaveData/WebKit-BuildSlave/chromium-mac-release/build/WebKit/chromium/xcodebuild/Release/libappcache.a /Users/cltbld/Desktop/BuildSlaveData/WebKit-BuildSlave/chromium-mac-release/build/WebKit/chromium/xcodebuild/Release/libapp_base.a /Users/cltbld/Desktop/BuildSlaveData/WebKit-BuildSlave/chromium-mac-release/build/WebKit/chromium/xcodebuild/Release/libbase_i18n.a /Users/cltbld/Desktop/BuildSlaveData/WebKit-BuildSlave/chromium-mac-release/build/WebKit/chromium/xcodebuild/Release/libgfx.a /Users/cltbld/Desktop/BuildSlaveData/WebKit-BuildSlave/chromium-mac-release/build/WebKit/chromium/xcodebuild/Release/libnet.a /Users/cltbld/Desktop/BuildSlaveData/WebKit-BuildSlave/chromium-mac-release/build/WebKit/chromium/xcodebuild/Release/libsdch.a /Users/cltbld/Desktop/BuildSlaveData/WebKit-BuildSlave/chromium-mac-release/build/WebKit/chromium/xcodebuild/Release/libnet_base.a /Users/cltbld/Desktop/BuildSlaveData/WebKit-BuildSlave/chromium-mac-release/build/WebKit/chromium/xcodebuild/Release/libdatabase.a /Users/cltbld/Desktop/BuildSlaveData/WebKit-BuildSlave/chromium-mac-release/build/WebKit/chromium/xcodebuild/Release/libglue.a -framework OpenGL -framework AppKit -framework Carbon -framework CoreFoundation -framework Foundation -framework IOKit -framework Security -lWebKitSystemInterfaceLeopardPrivateExtern -framework AudioToolbox -framework CoreAudio -framework SystemConfiguration -framework QuartzCore -o /Users/cltbld/Desktop/BuildSlaveData/WebKit-BuildSlave/chromium-mac-release/build/WebKit/chromium/./xcodebuild/Release/DumpRenderTree.app/Contents/MacOS/DumpRenderTree
Undefined symbols:
  "default_plugin::NP_Initialize(_NPNetscapeFuncs*)", referenced from:
      __ZN14default_plugin13NP_InitializeEP16_NPNetscapeFuncs$non_lazy_ptr in libglue.a(plugin_list.o)
  "default_plugin::NP_GetEntryPoints(_NPPluginFuncs*)", referenced from:
      __ZN14default_plugin17NP_GetEntryPointsEP14_NPPluginFuncs$non_lazy_ptr in libglue.a(plugin_list.o)
  "default_plugin::NP_Shutdown()", referenced from:
      __ZN14default_plugin11NP_ShutdownEv$non_lazy_ptr in libglue.a(plugin_list.o)
ld: symbol(s) not found
collect2: ld returned 1 exit status
Comment 7 Tony Chang 2010-05-31 18:32:51 PDT
It looks like linux needs third_party/libvpx/include and third_party/libvpx/lib.  Also. you can add lighttpd by using From('chromium_deps', 'src/third_party/lighttpd') rather than having to add the revision manually.
Comment 8 Kent Tamura 2010-06-01 03:18:08 PDT
Created attachment 57527 [details]
Patch 2 (Fixed libvpx and default_plugin)
Comment 9 Dimitri Glazkov (Google) 2010-06-01 10:17:32 PDT
Comment on attachment 57527 [details]
Patch 2 (Fixed libvpx and default_plugin)

rs=me. Will this require me to clean our bots by hand? Let me know.
Comment 10 Alexey Proskuryakov 2010-06-01 12:14:04 PDT
>         - Checking out lighttpd only on Windows. It is used by new-run-webkit-tests.

How is lighttpd used by new-run-webkit-tests? I think we want to use Apache as much as possible, because that gets us closer to real Web.
Comment 11 Tony Chang 2010-06-01 17:09:57 PDT
(In reply to comment #10)
> >         - Checking out lighttpd only on Windows. It is used by new-run-webkit-tests.
> 
> How is lighttpd used by new-run-webkit-tests? I think we want to use Apache as much as possible, because that gets us closer to real Web.

Chromium is using it for http layout tests on windows.  A long long time ago, we used apache 1.x, but there were lots of random hangs.  We switched to lighttpd because the results were much more stable (although it didn't support all the tests).  Ojan tried to get us back on apache and succeeded on Linux and Mac, but I don't think anyone has tried that hard on Windows.  I think there were problems with getting a compatible version with cygwin that works on XP, Vista and Win7.
Comment 12 Alexey Proskuryakov 2010-06-01 17:15:40 PDT
Yes, I know that chromium tests use lighttpd - just wanted to make sure that new-run-webkit-tests script isn't switching us all to it.
Comment 13 Kent Tamura 2010-06-01 18:35:50 PDT
(In reply to comment #12)
> Yes, I know that chromium tests use lighttpd - just wanted to make sure that new-run-webkit-tests script isn't switching us all to it.

Don't worry.  lighttpd is used only for Chromium-win.
Comment 14 Kent Tamura 2010-06-01 22:47:41 PDT
Comment on attachment 57527 [details]
Patch 2 (Fixed libvpx and default_plugin)

Clearing flags on attachment: 57527

Committed r60536: <http://trac.webkit.org/changeset/60536>
Comment 15 Kent Tamura 2010-06-01 22:47:53 PDT
All reviewed patches have been landed.  Closing bug.
Comment 16 Kent Tamura 2010-06-01 23:12:37 PDT
(In reply to comment #14)
> Committed r60536: <http://trac.webkit.org/changeset/60536>

I reverted it because of the following:

________ running 'svn update /WebKit-BuildSlave/chromium-linux-release/build/WebKit/chromium/base --revision 48624' in '/WebKit-BuildSlave/chromium-linux-release/build/WebKit/chromium'
svn: Failed to add directory '/WebKit-BuildSlave/chromium-linux-release/build/WebKit/chromium/base/third_party/dynamic_annotations': an unversioned directory of the same name already exists
Error: failed to run command: svn update /WebKit-BuildSlave/chromium-linux-release/build/WebKit/chromium/base --revision 48624


(In reply to comment #9)
> (From update of attachment 57527 [details])
> Will this require me to clean our bots by hand? Let me know.

I didn't think so.  But it required to clean bots unfortunately.
Would you remove Webkit/chromium/base of all of three Chromium bots please?
Comment 17 Dimitri Glazkov (Google) 2010-06-03 09:09:34 PDT
Re-relanded as http://trac.webkit.org/changeset/60622.